Create a new chat thread
POST
/api/canvas/{deal_id}/chat/threads
const url = 'https://example.com/api/canvas/example/chat/threads';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/chat/threads \ --header 'Authorization: Bearer <token>'Create a new chat thread for a deal.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
CreateThreadResponse
Response body for creating a thread.
object
thread_id
required
Thread Id
string
title
required
Title
string
deal_id
required
Deal Id
string
Example generated
{ "thread_id": "example", "title": "example", "deal_id": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}